%% Graph Visualization on Map
%
% Matlab script used to show the recovered graph on the actual map. The map
% image was downloaded by openstreetmap.org
%

A = imread('map.png');
% Ix and Iy are the latitude and longitude intervals of the considered
% region. Fx and Fy are the width and the heigth of the map image. Change
% these numbers to adapt the visualization to custom map
Ix = [-6,-2];
Fx = [1,1068];
Iy = [49,47];
Fy = [1,802];
% Linear transform: from (°W,°N) coordinates to pixels
f = @(x,I,F) (F(2)-F(1)) / (I(2)-I(1)) *(x-I(1)) + F(1);

% Show the map
figure, imagesc(A), axis image, axis off, hold on

% Adapt the coordinates of the weather stations to the map image
MapCoords = [f(coords(:,2),Ix,Fx), f(coords(:,1),Iy,Fy)];
% Plot the recovered graph
gplot(C_fin,MapCoords)

% Show the weather station on map
for i = 1:length(MapCoords)
    plot(MapCoords(i,1),MapCoords(i,2),'o',...
        'MarkerSize',5,...
        'MarkerFaceColor','w',...
        'Color',[0 0.4470 0.7410])
end
